COOKIE(7)

NAME

cookie - adds an DNS cookie of this server to each reply

DESCRIPTION

This handler implements the DNS cookie RFC.

SYNTAX

    cookie SECRET

Where SECRET is the secret to use in the server cookie generation record.

EXAMPLES

Enable cookies:

    example.org {
        cookie Use the force
        whoami
    }

CONTEXT

The cookie handler adds two keys to the context:
    cookie/msgfunc | func |  | Function that adds reply cookie to the reply.

BUGS

cookie does not implement a cache to validate client, is just does enough to make dig happy, this implies that cookie/status is always set to true.